<?php
class UserController {

    function __construct() 
    {
        global $rep,$vues;
        $mdlUsr = new MdlUser();
        $user = $mdlUsr->getUserForConnection($username, $mdp);

        session_start();
        $this->ValidationFormulaire($dVueEreur);
        $dVueEreur = array ();

        try {
            $action = $_REQUEST['action'];
            switch($action) {
                case "delete":
                    $this->Delete();
                    break;

                case "update":
                    $this->Update();
                    break;
                
                case "deconnection":
                    $this->deconnection($dVueEreur);
                    break;
                
                case "ajouterListePrivee":
                    $this->AddListPrivate();
                    break;

                case "viewPrivateList":
                    $this->PrivateList();
                    break;

                default:
                    echo "????";
                    $dVueEreur[] =	"Erreur d'appel php";
                    require ($rep.$vues['accueil']);
                    break;
            }
        }
        catch (PDOException $e){
            $dVueEreur[] = "Erreur BDD";
            require ($rep.$vues['erreur']);
        }
        catch (Exception $e2){
            $dVueEreur[] = "Erreur innatendue";
            require ($rep.$vues['erreur']);
        }
        exit(0);
    }

    function Delete() {
        if(isset($_SESSION['username'])) {
            $results = $this->$mdlUsr->delete(); //A compléter avec bons arguments
            session_unset();
            session_destroy();
            require ($rep.$vues['accueil']);
        }
    }

    function Update() {
        if(isset($_SESSION['username'])) {
            $results = $this->$mdlUsr->update(); //Ajouter arguments
            require ($rep.$vues['accueil']);
        }
    }

    function AddListPrivate($dVueEreur) {
        global $rep, $vues, $dataView;

        $name=$_POST['name'];
        $private=$_POST['private'];

        Validation::val_creation_Liste_PV($nomListe, $arrayErrorViews);

        try {
            MdlListe::insert($name, $private, $_SESSION['login']);
        } 
        catch (PDOException $e) {
            $dataView[]="Erreur inatendue";
            require($rep.$vues['erreur']);
        }
    }

    function PrivateList($dVueEreur){
        global $rep, $vues, $dataView;
        $model = new MdlListe();
        $dataView = $model->pullListesPrivees($_SESSION['login']);
        require($rep.$vues['accueilPrivate']);
    }

    function deconnection($dVueEreur){
        global $rep, $vues;
        $model = new MdlUser();
        $retour = $model->deconnection();
        $_REQUEST['action']=null;
        $control= new VisitorController();
        $dVueEreur = array();
    }
}


?>